Subject: [magma] draft-ietf-magma-mrdisc-04.txt

From: Margaret Wasserman <[email-masked]>
Date: Fri, 4 Mar 2005 15:38:08 -0500

Hi All,

The MAGMA WG agenda includes a discussion of 
draft-ietf-magma-mrdisc-04.txt, and I just wanted to make sure that 
we are all on the same page going into Minneapolis.

The IESG still has two open blocking issues (discusses) with this 
document, one from Thomas Narten and one from Alex Zinin (see below).

Thomas' discuss was updated after the -04 draft was published, so it 
is clearly a blocking issue with the current version.

Alex, have you had a chance to check if the current version (-04) 
addresses your discuss?

Hopefully we can figure out how to resolve these issues in 
Minneapolis, so that the document can be approved.

See you all in Minneapolis!
Margaret

Thomas Narten:
Discuss:
[2005-02-25] >    1.  For IPv4 it is the 16-bit one's complement of the one's
>         complement sum of the IGMP message, starting with the Type field.
>         For computing the checksum, the checksum field is set to 0.
>

Checksum does not include any IPv4 header fields. This seems like a
bad design choice. Note that in the IPv6 case, the checksum does
include a pseudo-header. Why not be consistent?

>     1.  The expiration of the periodic advertisement interval timer.
>         Note that it this timer is not strictly periodic since it is a
>         random number between MaxAdvertisementInterval and
>         MinAdvertisementInterval.

this doesn't seem good. The spread between these values can be pretty
wide, I think. What you want is an average value with some randomness
to prevent syncrhonization. You don't want the value to be completely
random between (say) 3 and 180 seconds.

Alex Zinin:
Discuss:
[2004-12-02] Rather minor DISCUSS:

>  2.  Protocol Overview
...
>     All MRD messages are sent with an IPv4 TTL or IPv6 Hop Limit of 1 and
>     contain the Router Alert Option[4][5].  All MRD messages SHOULD be
>     Advertisement and Termination messages are sent to the All-Snoopers
>     multicast address.

To what rate? Same comment for other instances of rate limiting in the doc.

>  3.1.2  MinAdvertisementInterval
>
Does this section specify intervals for unsolicited Ads only or
for solicited as well?

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma